<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.SysMuenRoleMapper">

    <resultMap type="com.ssm.manage.entity.SysMuenRole" id="SysMuenRoleMap">
        <result property="roleId" column="role_id" jdbcType="INTEGER"/>
        <result property="powerId" column="power_id" jdbcType="INTEGER"/>
    </resultMap>
    <insert id="saveAll">
        insert into sys_muen_role values
              <foreach collection="sysMuenRoles" item="item" separator=","   >
                        ( #{item.roleId},#{item.powerId})
                 </foreach>
    </insert>

</mapper>

